# FacetType

enum FacetType

An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed. See also here.

## Entries

installed
Link copied to clipboard
installed
fixed
Link copied to clipboard
fixed

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): Facet.FacetType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Facet.FacetType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.